<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.Playbin.Renderer.Renderer &ndash; librygel-renderer-gst &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.Playbin.Renderer.Renderer &ndash; librygel-renderer-gst Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-renderer-gst</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.Playbin.html">Playbin</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="class"><a href="Rygel.Playbin.Renderer.html">Renderer</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="creation_method">Renderer</li>
          <li class="method"><a href="Rygel.Playbin.Renderer.get_playbin.html">get_playbin</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">Renderer</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <b><span class="creation_method">Renderer</span></b> (<span class="main_basic_type"><span class="class">string</span></span> title)
        </div>
        <div class="description">
          <p>Create a new instance of Renderer.</p>
          <p>Renderer will instantiate its own instance of GstPlayBin. The GstPlayBin can be accessed by using rygel_playbin_player_get_playbin().</p>
          <h2 class="main_title">Parameters:</h2>
          <table class="main_parameter_table">
            <tr>
              <td class="main_parameter_table_name">title</td>
              <td>
                <p>Friendly name of the new UPnP renderer on the network. </p>
              </td>
            </tr>
          </table>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>